# H460P_PresenceMessage Class Reference

`#include <h460pres.h>`

## Public Types

| e_presenceStatus
| e_presenceInstruct
| e_presenceAuthorize
| e_presenceNotify
| e_presenceRequest
| e_presenceResponse
| e_presenceAlive
| e_presenceRemove
| e_presenceAlert
enum | Choices { e_presenceStatus, e_presenceInstruct, e_presenceAuthorize, e_presenceNotify, e_presenceRequest, e_presenceResponse, e_presenceAlive, e_presenceRemove, e_presenceAlert }

## Public Member Functions

| H460P_PresenceMessage (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H460P_PresenceStatus & ()
| operator const H460P_PresenceStatus & () const
| operator H460P_PresenceInstruct & ()
| operator const H460P_PresenceInstruct & () const
| operator H460P_PresenceAuthorize & ()
| operator const H460P_PresenceAuthorize & () const
| operator H460P_PresenceNotify & ()
| operator const H460P_PresenceNotify & () const
| operator H460P_PresenceRequest & ()
| operator const H460P_PresenceRequest & () const
| operator H460P_PresenceResponse & ()
| operator const H460P_PresenceResponse & () const
| operator H460P_PresenceAlive & ()
| operator const H460P_PresenceAlive & () const
| operator H460P_PresenceRemove & ()
| operator const H460P_PresenceRemove & () const
| operator H460P_PresenceAlert & ()
| operator const H460P_PresenceAlert & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H460P_PresenceMessage::Choices

Enumerator:

  e_presenceStatus |
  e_presenceInstruct |
  e_presenceAuthorize |
  e_presenceNotify |
  e_presenceRequest |
  e_presenceResponse |
  e_presenceAlive |
  e_presenceRemove |
  e_presenceAlert |

## Constructor & Destructor Documentation

H460P_PresenceMessage::H460P_PresenceMessage | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H460P_PresenceMessage::Clone | ( |  | ) | const

PBoolean H460P_PresenceMessage::CreateObject | ( |  | ) |

H460P_PresenceMessage::operator const H460P_PresenceAlert & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceAlive & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceAuthorize & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceInstruct & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceNotify & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceRemove & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceRequest & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceResponse & | ( |  | ) | const

H460P_PresenceMessage::operator const H460P_PresenceStatus & | ( |  | ) | const

H460P_PresenceMessage::operator H460P_PresenceAlert & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceAlive & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceAuthorize & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceInstruct & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceNotify & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceRemove & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceRequest & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceResponse & | ( |  | ) |

H460P_PresenceMessage::operator H460P_PresenceStatus & | ( |  | ) |

The documentation for this class was generated from the following file:

- h460pres.h